<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가

// 최신글 추출
function xe_theme($skin_dir="", $type="index")
{
    global $g4, $xtx, $is_admin, $member, $bo_table, $gr_id, $config;

    if ($skin_dir)
        $xe_theme_path = "$g4[path]/xe/theme/$skin_dir";
    else
        $xe_theme_path = "$g4[path]/xe/theme/xe.basic";
			
	ob_start();
	if($type == "index"){
		$filepath = $xe_theme_path."/index.php";
		if(file_exists($filepath)) include "$xe_theme_path/index.php";  else echo "테마가 존재하지 않습니다.<br><br>그누XE 관리자 화면에서 테마를 설정하시거나 테마 파일이 존재하는지 확인하십시요. <a href='$g4[path]/adm/'>관리자 접속</a>";
    }else if($type=="group"){
			$filepath = $xe_theme_path."/group.php";
		if(file_exists($filepath)) include "$xe_theme_path/group.php";  else echo "테마가 존재하지 않습니다.<br><br>그누XE 관리자 화면에서 테마를 설정하시거나 테마 파일이 존재하는지 확인하십시요. <a href='$g4[path]/adm/'>관리자 접속</a>";
	}
    $content = ob_get_contents();
    ob_end_clean();

    return $content;
}

?>